@import "variabiles.css";
@import "elements.css";

/* body */
body {
	line-height: 1.875rem;
	}
.site {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	min-height: 100vh;
	}
.site > main {flex: 1}

/* Header */
.navbar {
	--bs-navbar-padding-y: 16px;
	--bs-navbar-color: var(--bs-primary);
	--bs-navbar-hover-color: var(--bs-black);
	--bs-navbar-active-color: var(--bs-black);
	--bs-navbar-brand-padding-y: 0;
	--bs-navbar-brand-margin-end: 0;
	--bs-navbar-nav-link-padding-x: 0;
	--bs-navbar-toggler-padding-x: 0;
	--bs-navbar-toggler-icon-bg: none;
	--bs-navbar-toggler-border-color: var(--bs-blue);
	--bs-navbar-toggler-border-radius: var(--bs-border-radius);
	--bs-navbar-toggler-focus-width: 0;
	background-color: var(--bs-white);
	}
.navbar-brand img {
	width: 145px;
	height : 50px;
	object-fit: contain;
	}
.navbar-nav {
	--bs-nav-link-padding-y: 15px;
	--bs-nav-link-font-weight: 800;
	line-height: normal;
	}
.nav-link {
	margin: 0 20px;
	position: relative;
	}
.nav-link:after {
	content: "";
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	height: 2px;
	background-color: var(--bs-yellow);
	opacity: 0;
	transition: opacity .4s ease-in-out;
	}
.nav-link.active:after,
.nav-link:hover:after {
	opacity: 1;
	transition: opacity .4s ease-in-out;
	}
.btn-call {font-size: .875rem;}

/* Footer */
.site-footer {
	background-color: var(--bs-light);
	background-blend-mode: overlay;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	padding-top: 45px;
	}
.site-footer .wp-block-heading {
	font-family: var(--bs-heading-font);
	font-weight: 800;
	text-transform: uppercase;
	margin-bottom: 25px;
	padding-bottom: 30px;
	position: relative;
	}
.site-footer .wp-block-heading:after {
	content: "";
	position: absolute;
	left: 0;
	bottom: 0;
	width: 120px;
	height: 10px;
	background-color: var(--bs-yellow);
	}
.site-footer ul {
	list-style-type: none;
	line-height: 1.5rem;
	margin-bottom: 50px;
	padding-left: 0;
	}
.site-footer ul li:not(:last-child) {margin-bottom: 25px}
.site-footer ul li {
	display: flex;
	align-items: flex-start;
	column-gap: 5px;
	flex-direction: column;
	position: relative;
	padding-left: 28px;
	}
.site-footer ul.list-unstyled li {padding-left: 0}
.site-footer ul li svg {
	min-width: 18px;
	position: absolute;
	top: 2px;
	left: 0;
	}
.site-footer a {
	text-decoration: underline;
	text-underline-offset: 4px;
	}
.site-footer__copyright {
	font-size: .875rem;
	line-height: normal;
	padding: 20px 0;
	}


/* Hero section */
.br-hero {
	font-size: 1.125rem;
	line-height: 2.25rem;
	min-height: 800px;
	padding-top: 192px;
	}
.br-hero .container {
	position: relative;
	padding-bottom: 141px;
	}
.br-hero .container:before {
	content: attr(data-before);
	position: absolute;
	left: 8px;
	right: 8px;
	bottom: 0;
	color: transparent;
	-webkit-text-stroke-width: 3px;
	-webkit-text-stroke-color: var(--bs-white);
	font-family: var(--bs-heading-font);
	font-size: 218px;
	font-weight: 900;
	line-height: 65%;
	text-transform: uppercase;
	text-align: center;
	white-space: nowrap;
	opacity: 0;
	animation: .7s ease-in 1.4s 1 forwards fadeInUp;
	}
.br-hero__video,
.br-hero__video:before {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	}
.br-hero__video {z-index : -1;}
.br-hero__video:before {
	background: linear-gradient(0deg, rgba(255, 255, 255, 0.80) 0%, rgba(255, 255, 255, 0.80) 100%);
	content: "";
	}
.br-hero__video video {
	width: 100%;
	height: 100%;
	object-fit: cover;
	}
.quote-form-wrap {
	background: rgba(255, 255, 255, 0.80);
	padding: 53px 60px 60px;
	}
.quote-form-wrap--application {
	margin-bottom: 24px;
	padding-bottom: 48px;
	}
.quote-form-wrap__heading {margin-bottom: 20px;}
.quote-form-wrap__heading .icon {margin-top: -8px;}
.quote-form-wrap__heading h2 {
	line-height: normal;
	margin-bottom: 0;
	}
.quote-form-wrap__heading h3 {
	font-size: 1.875rem;
	font-weight: 800;
	line-height: normal;
	margin-bottom: 0;
	}
.br-hero__description {
	padding-top: 51px;
	}
.br-hero__description h1 {
	font-size: 3.75rem;
	line-height: normal;
	position: relative;
	margin-bottom: 21px;
	}
.br-hero__description h1:after {
	content: "";
	position: absolute;
	left: 0;
	top: 24px;
	width: 135%;
	height: 10px;
	background-color: var(--bs-yellow);
	z-index : -1;
	}
.br-hero__description h1 span {color: var(--bs-primary);}
.br-hero__description h2 {
	font-size: 1.875rem;
	line-height: 2.5rem;
	margin-bottom: 19px;
	}

/* Achievements */
.br-achievements {
	padding-top: 24px;
	}
.achievements-item {
	margin-bottom: 24px;
	min-height: 284px;
	padding: 55px 50px 50px;
	}
.achievements-item__icon {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	margin-bottom: 16px;
	width: 120px;
	height: 80px;
	}
.achievements-item__number {
	font-size: 3.75rem;
	text-transform: uppercase;
	margin-bottom: 15px;
	}
.achievements-item--year {line-height: 4rem;}
.achievements-description {
	font-size: 1.125rem;
	line-height: 2.25rem;
	margin-left: -14px;
	padding: 51px 60px 36px;
	width: calc(100% + 14px);
	height: calc(100% - 24px);
	}
.achievements-description h2 {
	font-size: 1.875rem;
	line-height: 2.5rem;
	margin-bottom: 20px;
	}

/* Services */
.br-services__item {
	background-size: 120px;
	background-repeat: no-repeat;
	background-position: calc(100% - 60px) 30px;
	margin-bottom: 24px;
	padding: 54px 60px 60px;
	}
.br-services__item h2 {
	line-height: 100%;
	margin-bottom: 14px;
	}
.br-services__item h3 {
	line-height: 1;
	margin-bottom: 37px;
	}
.br-services__item .separator {
	background-color: var(--bs-yellow);
	width: 0;
	height: 10px;
	margin-bottom: 32px;
	transition: width .4s ease-in;
	}
.br-services__item.visible .separator {
	width: 120px;
	transition: width .4s ease-in;
	}
.br-services__item p {margin-bottom: 31px;}

/* ABOUT company */
.br-about {
	margin-bottom: 84px;
	}
.br-about .section-title {margin-bottom: 43px;}
.br-about__description {
	padding: 51px 45px 55px 60px;
	}
.br-about__description h3 {
	font-weight: 800;
	line-height: 150%;
	margin-bottom: 42px;
	}
.br-about__description p {margin-bottom: 51px;}

/* the team */
.br-about__team {
	padding: 57px 56px 20px;
	}
.br-about__team h2.heading-font {
	font-size: 10rem;
	line-height: 75%;
	margin-bottom: 46px;
	padding-bottom: 60px;
	position: relative;
	}
.br-about__team h2.heading-font:after {
	content: "";
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	width: 120px;
	height: 10px;
	background-color: var(--bs-yellow);
	}
.team-members-wrap {
	row-gap: 40px;
	}
.team-member {
	font-size: .875rem;
	line-height: normal;
	margin-bottom: 0;
	}
.team-member__photo {
	width: 80px;
	height: 80px;
	display: flex;
	align-items: center;
	justify-content: center;
	margin: 0 auto 10px;
	padding: 15px;
	}
.team-member img {
	max-width: 100px;
	}
.team-member h4 {
	font-size: 1.125rem;
	margin: 7px 0 8px;
	}
.team-member--full-width {
	font-size: 1rem;
	padding-bottom: 24px;
	padding-top: 24px;
	}
.team-member--full-width .team-member__photo {
	width: 88px;
	height: 88px;
	}
.team-member--full-width a {
	color: var(--bs-primary);
	text-decoration: underline;
	text-underline-offset: 3px;
	}
.team-member--full-width .col-md-7.d-flex {column-gap: 24px;}
.team-member--full-width h3 {
	font-size: 1.5rem;
	line-height: 1.875rem;
	}
.team-member__meta {
	font-size: .875rem;
	line-height: 1.1875rem;
	}
.team-member__meta strong {font-size: 1rem;}
.team-member__meta div:last-of-type {margin-top: 14px;}

/* Clients */
.br-clients {margin-bottom: 110px;}
.br-clients__gallery {
	column-gap: 24px;
	row-gap: 25px;
	justify-content: space-between;
	}

/* Benefits */
.br-benefits {
	margin-bottom: 90px;
	}
.br-benefits .section-title {
	padding-bottom: 40px;
	}
.br-benefits__item {
	padding-right: 60px;
	}
.br-benefits__item .icon {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	display: block;
	width: 60px;
	height: 32px;
	margin-bottom: 24px;
	}
.br-benefits__item h3 {
	margin-bottom: 14px;
	}
.br-benefits__quote {
	font-size: 1.5rem;
	line-height: 2.25rem;
	margin-top: 48px;
	padding: 51px 30px 50px;
	}
.br-benefits__quote p {margin-bottom: 30px;}

/* Reviews section */
.br-reviews {
	row-gap: 24px;
	margin-bottom: 120px;
	}
.br-reviews__scroll {
	column-gap: 24px;
	overflow: hidden;
	user-select: none;
	animation-play-state: paused;
	backface-visibility: hidden;
	-webkit-backface-visibility: hidden;
	}
.br-reviews__scroll .reviews-group {
	display: flex;
	flex-shrink: 0;
	align-items: center;
	justify-content: space-between;
	gap: 24px;
	min-width: 100%;
	animation: scroll-x 60s linear infinite;
	}
.br-reviews__scroll--reverse .reviews-group {
	animation-direction: reverse;
	animation-delay: -3s;
	}
.br-reviews__scroll:hover .reviews-group {
	animation-play-state: paused;
	}
.review-content {
	display: flex;
	flex-direction: column;
	min-width: 650px;
	width: 650px;
	height: 345px;
	padding: 57px 60px 60px;
	font-size: 1.125rem;
	line-height: 2.25rem;
	}
.review-content__rating {
	column-gap: 4px;
	margin-bottom: 5px;
	}
.review-content__text {
	margin-bottom: 27px;
	position: relative;
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-line-clamp: 3; /* number of lines to show */
	line-clamp: 3;
	-webkit-box-orient: vertical;
	}
.review-content__text:before {
	content: " '' ";
	}
.review-content__text:after {
	content: " '' ";
	position: absolute;
	bottom: 0;
	right: 0;
	}
.review-content__user {
	font-size: 1rem;
	line-height: 1.875rem;
	}
.review-content__user h3 {
	line-height: 1.875rem;
	margin-bottom: 5px;
	}
.review-content__user .logo {height: 70px;}
.review-content__user .logo img {
	height: 100%;
	object-fit: contain;
	object-position: right;
	mix-blend-mode: multiply;
	}

/* Page template About */
.team-wrap {
	padding-top: 25px;
	}
.team-wrap__heading {
	line-height: 1.875rem;
	margin-bottom: 42px;
	}
.team-wrap__heading h1 {
	font-size: 3.75rem;
	font-weight: 800;
	line-height: normal;
	margin-bottom: 31px;
	padding-bottom: 38px;
	position: relative;
	}
.team-wrap__heading h1:after,
.team-wrap__members h2:after {
	content: "";
	position: absolute;
	bottom: 0;
	left: 0;
	width: 120px;
	height: 10px;
	background-color: var(--bs-yellow);
	}
.team-wrap__heading h3 {
	font-size: 1.5rem;
	font-weight: 800;
	line-height: 2.25rem;
	margin-bottom: 20px;
	}
.team-wrap__members h2 {
	margin-bottom: 36px;
	padding-bottom: 40px;
	position: relative;
	}
.team-wrap__blockquote {
	font-size: 1.125rem;
	line-height: 2.25rem;
	margin-top: 40px;
	margin-bottom: 40px;
	padding: 49px 60px 33px;
	}
.team-wrap__blockquote h3 {
	font-size: 1.875rem;
	line-height: 2.5rem;
	margin-bottom: 19px;
	}

.br-technology {
	font-size: 1.125rem;
	line-height: 2.25rem;
	margin-top: -2px;
	margin-bottom: 80px;
	padding-bottom: 48px;
	}
.br-technology h2 {margin-bottom: 33px;}
.br-technology .separator {margin-bottom: 51px;}
.br-technology h3 {
	font-size: 1.875rem;
	line-height: 2.5rem;
	margin-bottom: 20px;
	}
.br-technology p {margin-bottom: 17px;}
.br-technology p:last-of-type {margin-bottom: 0;}



/* Blog posts */
.br-posts .card {
	margin-bottom: 24px;
	}


/* Pages */
.page-heading {
	font-size: 1.125rem;
	line-height: 2.25rem;
	margin-bottom: 43px;
	padding-top: 133px;
	}
.page-heading--full-width {
	background-size: cover;
	background-position: center;
	background-blend-mode: overlay;
	padding-bottom: 103px;
	}
.page-content {
	padding-bottom: 60px;
	}
.page-heading h1 {
	font-family: var(--bs-heading-font);
	font-size: 3.75rem;
	font-weight: 800;
	line-height: normal;
	text-transform: uppercase;
	margin-bottom: 34px;
	padding-bottom: 37px;
	position: relative;
	}
.page-heading h1:after {
	content: "";
	position: absolute;
	bottom: 0;
	left: 0;
	width: 120px;
	height: 10px;
	background-color: var(--bs-yellow);
	}
.page-heading h2 {
	font-size: 1.875rem;
	font-weight: 400;
	line-height: 2.5rem;
	margin-bottom: 21px;
	}

/* Apply page template */
.apply-benefits {
	padding-top: 35px;
	}
.apply-benefits .section-title {padding-bottom: 38px;}
.benefit-inline-item {
	border-bottom: 2px solid var(--bs-light);
	line-height: 1.875rem;
	margin-bottom: 36px;
	padding-bottom: 30px;
	}
.apply-benefits .benefit-inline-item:last-of-type {border-bottom: 0;}
.benefit-inline-item h3 {
	font-size: 1.5rem;
	font-weight: 800;
	line-height: 2.25rem;
	margin-bottom: 0;
	}
.benefit-inline-item img {margin-bottom: 7px;}
.benefit-inline-item p {margin-bottom: 0;}


/* Default post template */
.post-template-default .page-content .wp-block-heading {
	font-family: var(--bs-heading-font);
	font-weight: 800;
	margin-bottom: 8px;
	}
.post-template-default .page-content ul,
.post-template-default .page-content ol {
	list-style-type: none;
	padding-left: 0;
	}
.post-template-default .page-content ul,
.post-template-default .page-content ol,
.post-template-default .page-content p {margin-bottom: 22px}


/* Page 404 */
.error-404 {
	min-height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	font-size: 1.125rem;
	line-height: 2.25rem;
	}
.error-404 .error-code {
	font-size: 120px;
	line-height: 1;
	display: inline-flex;
	margin-bottom: 31px;
	}
.error-404 .page-header {margin-bottom: 42px;}




/* Animation for css reviews carousel */
@keyframes scroll-x {
	from {
		transform: translateX(var(--scroll-start));
	}
	to {
		transform: translateX(var(--scroll-end));
	}
}

/*  */
@-webkit-keyframes fadeInUp {
	from {
		opacity: 0;
		-webkit-transform: translate3d(0, 100%, 0);
		transform: translate3d(0, 100%, 0);
		}
	
	to {
		opacity: 1;
		-webkit-transform: translate3d(0, 0, 0);
		transform: translate3d(0, 0, 0);
		}
	}
@keyframes fadeInUp {
	from {
		opacity: 0;
		-webkit-transform: translate3d(0, 100%, 0);
		transform: translate3d(0, 100%, 0);
		}
	
	to {
		opacity: 1;
		-webkit-transform: translate3d(0, 0, 0);
		transform: translate3d(0, 0, 0);
		}
	}






